| OpendTect 8.0

Loading...
Searching...
No Matches
Classes | Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | Friends | List of all members
uiODSceneMgr Class Reference
uiODMain

Manages the scenes and the corresponding trees. More...

`#include <uiodscenemgr.h>`

Inheritance diagram for uiODSceneMgr:
[legend]

## Classes
class | Scene

## Public Member Functions
void | actMode (CallBacker *cb=0)
VisID | add2DLineItem (const MultiID &, const SceneID &=SceneID::udf())
VisID | add2DLineItem (const Pos::GeomID &, const SceneID &, bool withdata)
VisID | add2DLineItem (const Pos::GeomID &, const SceneID &=SceneID::udf())
VisID | addDisplayTreeItem (uiODDisplayTreeItem *, const SceneID &=SceneID::udf())
VisID | addEMItem (const EM::ObjectID &, const SceneID &=SceneID::udf())
VisID | addInlCrlItem (OD::SliceType, int nr, const SceneID &=SceneID::udf())
VisID | addPickSetItem (const MultiID &, const SceneID &=SceneID::udf())
VisID | addPickSetItem (Pick::Set &, const SceneID &=SceneID::udf())
VisID | addRandomLineItem (const RandomLineID &, const SceneID &=SceneID::udf())
SceneID | addScene (bool maximized, ZAxisTransform *=nullptr, const uiString &nm=uiString::empty())
| Returns scene id.
VisID | addWellItem (const MultiID &, const SceneID &=SceneID::udf())
VisID | addZSliceItem (const TrcKeyZSampling &, const Attrib::SelSpec &, const SceneID &=SceneID::udf())
VisID | addZSliceItem (const TrcKeyZSampling &, const SceneID &=SceneID::udf())
VisID | addZSliceItem (RegularSeisDataPack &, const Attrib::SelSpec &, const FlatView::DataDispPars::VD &, const SceneID &=SceneID::udf())
void | align (CallBacker *)
void | anyWheelStart (CallBacker *)
void | anyWheelStop (CallBacker *)
SceneID | askSelectScene () const
void | cascade ()
void | cleanUp (bool startnew=true)
void | disabRightClick (bool yn)
void | disabTrees (bool yn)
void | displayIn2DViewer (const VisID &, int attribid, bool wva)
void | doDirectionalLight (CallBacker *)
void | dWheelMoved (CallBacker *)
uiTreeItem * | findItem (const VisID &)
uiTreeItem * | findItem (const VisID &, int attrib)
void | findItems (const char *, ObjectSet< uiTreeItem > &)
void | findItems (const char *, ObjectSet< uiTreeItem > &, const SceneID &)
uiTreeItem * | findSceneItem (const SceneID &)
ui3DViewer * | get3DViewer (const SceneID &)
const ui3DViewer * | get3DViewer (const SceneID &) const
void | get3DViewers (ObjectSet< ui3DViewer > &)
SceneID | getActiveSceneID () const
void | getActiveSceneName (BufferString &) const
float | getHeadOnLightIntensity (int) const
VisID | getIDFromName (const char *) const
void | getLoadedEMIDs (TypeSet< EM::ObjectID > &, const char *emtypestr=nullptr, const SceneID &=SceneID::udf()) const
void | getLoadedPickSetIDs (TypeSet< MultiID > &, bool poly, const SceneID &=SceneID::udf()) const
uiString | getSceneName (const SceneID &) const
void | getSceneNames (uiStringSet &, int &act) const
void | getScenePars (IOPar &)
int | getStereoType () const
uiTreeView * | getTree (const SceneID &)
uiODTreeTop * | getTreeItemMgr (const SceneID &) const
uiODTreeTop * | getTreeItemMgr (const uiTreeView *) const
void | hWheelMoved (CallBacker *)
bool | inViewMode () const
void | layoutScenes ()
void | mkSnapshot (CallBacker *)
int | nrScenes ()
void | pageUpDownPressed (CallBacker *)
void | rebuildTrees ()
void | remove2DViewer (const VisID &)
void | removeTreeItem (const VisID &)
void | resetHomePos (CallBacker *)
void | saveHomePos (CallBacker *)
void | setActiveScene (const SceneID &)
void | setActiveScene (int idx)
void | setHeadOnLightIntensity (int, float)
void | setItemInfo (const VisID &)
void | setSceneName (const SceneID &, const uiString &)
void | setSceneProperties ()
void | setStereoType (int)
void | setToViewMode (bool yn=true)
void | setToWorkMode (uiVisPartServer::WorkMode wm)
void | setViewSelectMode (const SceneID &, ui3DViewer::PlaneType)
void | setViewSelectMode (int)
void | setZoomValue (float)
void | showRotAxis (CallBacker *)
void | showTree (bool yn)
void | soloMode (CallBacker *)
void | switchCameraType (CallBacker *)
void | tile ()
void | tileHorizontal ()
void | tileVertical ()
void | toHomePos (CallBacker *)
void | translateText ()
uiTreeFactorySet * | treeItemFactorySet ()
bool | treeShown () const
void | updateItemToolbar (const VisID &)
void | updateSelectedTreeItem ()
void | updateStatusBar ()
void | updateTrees ()
void | useScenePars (const IOPar &)
void | viewAll (CallBacker *)
void | viewCrl (CallBacker *)
void | viewInl (CallBacker *)
void | viewMode (CallBacker *cb=0)
void | viewModeChg (CallBacker *cb=0)
void | viewX (CallBacker *)
void | viewY (CallBacker *)
void | viewZ (CallBacker *)
void | vWheelMoved (CallBacker *)
void | zoomChanged (CallBacker *)
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Static Public Member Functions
static bool | canAddSceneAtStartup ()
static int | cColorColumn ()
static int | cNameColumn ()
static uiString | sElements ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Public Attributes
Notifier< uiODSceneMgr > | activeSceneChanged
CNotifier< uiODSceneMgr, SceneID > | sceneClosed
Notifier< uiODSceneMgr > | scenesHidden
Notifier< uiODSceneMgr > | scenesShown
CNotifier< uiODSceneMgr, SceneID > | treeAdded
CNotifier< uiODSceneMgr, SceneID > | treeToBeAdded
Notifier< uiODSceneMgr > | viewModeChanged

## Protected Member Functions
| uiODSceneMgr (uiODMain *)
| ~uiODSceneMgr ()
void | afterFinalize (CallBacker *)
uiODApplMgr & | applMgr ()
void | font3DChanged (CallBacker *)
Scene * | getScene (const SceneID &)
const Scene * | getScene (const SceneID &) const
void | gtLoadedEMIDs (const Scene *, TypeSet< EM::ObjectID > &, const char *emtypestr) const
void | gtLoadedEMIDs (const uiTreeItem *, TypeSet< EM::ObjectID > &, const char *emtypestr) const
void | gtLoadedPickSetIDs (const Scene &, TypeSet< MultiID > &, bool poly) const
void | gtLoadedPickSetIDs (const uiTreeItem &, TypeSet< MultiID > &, bool poly) const
void | initMenuMgrDepObjs ()
void | initTree (Scene &, int)
void | mdiAreaChanged (CallBacker *)
Scene & | mkNewScene ()
void | newSceneUpdated (CallBacker *)
void | removeScene (Scene &scene)
void | removeSceneCB (CallBacker *)
void | resetStatusBar (const VisID &=VisID::udf())
void | sceneChanged (SceneID)
void | showIfMinimized (CallBacker *)
void | tileTimerCB (CallBacker *)
uiVisPartServer & | visServ ()

## Protected Attributes
uiODMain & | appl_
uiMdiArea * | mdiarea_
ObjectSet< Scene > | scenes_
uiTreeFactorySet * | tifs_
Timer * | tiletimer_
int | vwridx_
uiWindowGrabber * | wingrabber_

## Friends
class | uiODMain

## Detailed Description

Manages the scenes and the corresponding trees.

Most of the interface is really not useful for plugin builders.

<>

## Constructor & Destructor Documentation

## ◆ uiODSceneMgr()

uiODSceneMgr::uiODSceneMgr | ( | uiODMain * |  | ) |
| protected

## ◆ ~uiODSceneMgr()

uiODSceneMgr::~uiODSceneMgr | ( |  | ) |
| protected

## Member Function Documentation

## ◆ actMode()

void uiODSceneMgr::actMode | ( | CallBacker * | cb = 0 | ) |

## ◆ add2DLineItem() [1/3]

VisID uiODSceneMgr::add2DLineItem | ( | const MultiID & | ,
|  | const SceneID & | = SceneID::udf() )

## ◆ add2DLineItem() [2/3]

VisID uiODSceneMgr::add2DLineItem | ( | const Pos::GeomID & | ,
|  | const SceneID & | ,
|  | bool | withdata )

## ◆ add2DLineItem() [3/3]

VisID uiODSceneMgr::add2DLineItem | ( | const Pos::GeomID & | ,
|  | const SceneID & | = SceneID::udf() )

## ◆ addDisplayTreeItem()

VisID uiODSceneMgr::addDisplayTreeItem | ( | uiODDisplayTreeItem * | ,
|  | const SceneID & | = SceneID::udf() )

## ◆ addEMItem()

VisID uiODSceneMgr::addEMItem | ( | const EM::ObjectID & | ,
|  | const SceneID & | = SceneID::udf() )

## ◆ addInlCrlItem()

VisID uiODSceneMgr::addInlCrlItem | ( | OD::SliceType | ,
|  | int | nr,
|  | const SceneID & | = SceneID::udf() )

## ◆ addPickSetItem() [1/2]

VisID uiODSceneMgr::addPickSetItem | ( | const MultiID & | ,
|  | const SceneID & | = SceneID::udf() )

## ◆ addPickSetItem() [2/2]

VisID uiODSceneMgr::addPickSetItem | ( | Pick::Set & | ,
|  | const SceneID & | = SceneID::udf() )

## ◆ addRandomLineItem()

VisID uiODSceneMgr::addRandomLineItem | ( | const RandomLineID & | ,
|  | const SceneID & | = SceneID::udf() )

## ◆ addScene()

SceneID uiODSceneMgr::addScene | ( | bool | maximized,
|  | ZAxisTransform * | = nullptr,
|  | const uiString & | nm = uiString::empty() )

Returns scene id.

## ◆ addWellItem()

VisID uiODSceneMgr::addWellItem | ( | const MultiID & | ,
|  | const SceneID & | = SceneID::udf() )

## ◆ addZSliceItem() [1/3]

VisID uiODSceneMgr::addZSliceItem | ( | const TrcKeyZSampling & | ,
|  | const Attrib::SelSpec & | ,
|  | const SceneID & | = SceneID::udf() )

## ◆ addZSliceItem() [2/3]

VisID uiODSceneMgr::addZSliceItem | ( | const TrcKeyZSampling & | ,
|  | const SceneID & | = SceneID::udf() )

## ◆ addZSliceItem() [3/3]

VisID uiODSceneMgr::addZSliceItem | ( | RegularSeisDataPack & | ,
|  | const Attrib::SelSpec & | ,
|  | const FlatView::DataDispPars::VD & | ,
|  | const SceneID & | = SceneID::udf() )

## ◆ afterFinalize()

void uiODSceneMgr::afterFinalize | ( | CallBacker * |  | ) |
| protected

## ◆ align()

void uiODSceneMgr::align | ( | CallBacker * |  | ) |

## ◆ anyWheelStart()

void uiODSceneMgr::anyWheelStart | ( | CallBacker * |  | ) |

## ◆ anyWheelStop()

void uiODSceneMgr::anyWheelStop | ( | CallBacker * |  | ) |

## ◆ applMgr()

uiODApplMgr & uiODSceneMgr::applMgr | ( |  | ) |
| inline protected

## ◆ askSelectScene()

SceneID uiODSceneMgr::askSelectScene | ( |  | ) | const

## ◆ canAddSceneAtStartup()

static bool uiODSceneMgr::canAddSceneAtStartup | ( |  | ) |
| static

## ◆ cascade()

void uiODSceneMgr::cascade | ( |  | ) |

## ◆ cColorColumn()

static int uiODSceneMgr::cColorColumn | ( |  | ) |
| inline static

## ◆ cleanUp()

void uiODSceneMgr::cleanUp | ( | bool | startnew = true | ) |

## ◆ cNameColumn()

static int uiODSceneMgr::cNameColumn | ( |  | ) |
| inline static

## ◆ disabRightClick()

void uiODSceneMgr::disabRightClick | ( | bool | yn | ) |

## ◆ disabTrees()

void uiODSceneMgr::disabTrees | ( | bool | yn | ) |

## ◆ displayIn2DViewer()

void uiODSceneMgr::displayIn2DViewer | ( | const VisID & | ,
|  | int | attribid,
|  | bool | wva )

## ◆ doDirectionalLight()

void uiODSceneMgr::doDirectionalLight | ( | CallBacker * |  | ) |

## ◆ dWheelMoved()

void uiODSceneMgr::dWheelMoved | ( | CallBacker * |  | ) |

## ◆ findItem() [1/2]

uiTreeItem * uiODSceneMgr::findItem | ( | const VisID & |  | ) |

## ◆ findItem() [2/2]

uiTreeItem * uiODSceneMgr::findItem | ( | const VisID & | ,
|  | int | attrib )

## ◆ findItems() [1/2]

void uiODSceneMgr::findItems | ( | const char * | ,
|  | ObjectSet< uiTreeItem > & | )

## ◆ findItems() [2/2]

void uiODSceneMgr::findItems | ( | const char * | ,
|  | ObjectSet< uiTreeItem > & | ,
|  | const SceneID & | )

## ◆ findSceneItem()

uiTreeItem * uiODSceneMgr::findSceneItem | ( | const SceneID & |  | ) |

## ◆ font3DChanged()

void uiODSceneMgr::font3DChanged | ( | CallBacker * |  | ) |
| protected

## ◆ get3DViewer() [1/2]

ui3DViewer * uiODSceneMgr::get3DViewer | ( | const SceneID & |  | ) |

## ◆ get3DViewer() [2/2]

const ui3DViewer * uiODSceneMgr::get3DViewer | ( | const SceneID & |  | ) | const

## ◆ get3DViewers()

void uiODSceneMgr::get3DViewers | ( | ObjectSet< ui3DViewer > & |  | ) |

## ◆ getActiveSceneID()

SceneID uiODSceneMgr::getActiveSceneID | ( |  | ) | const

## ◆ getActiveSceneName()

void uiODSceneMgr::getActiveSceneName | ( | BufferString & |  | ) | const

## ◆ getHeadOnLightIntensity()

float uiODSceneMgr::getHeadOnLightIntensity | ( | int |  | ) | const

## ◆ getIDFromName()

VisID uiODSceneMgr::getIDFromName | ( | const char * |  | ) | const

## ◆ getLoadedEMIDs()

void uiODSceneMgr::getLoadedEMIDs | ( | TypeSet< EM::ObjectID > & | ,
|  | const char * | emtypestr = nullptr,
|  | const SceneID & | = SceneID::udf() ) const

## ◆ getLoadedPickSetIDs()

void uiODSceneMgr::getLoadedPickSetIDs | ( | TypeSet< MultiID > & | ,
|  | bool | poly,
|  | const SceneID & | = SceneID::udf() ) const

## ◆ getScene() [1/2]

Scene * uiODSceneMgr::getScene | ( | const SceneID & |  | ) |
| protected

## ◆ getScene() [2/2]

const Scene * uiODSceneMgr::getScene | ( | const SceneID & |  | ) | const
| protected

## ◆ getSceneName()

uiString uiODSceneMgr::getSceneName | ( | const SceneID & |  | ) | const

## ◆ getSceneNames()

void uiODSceneMgr::getSceneNames | ( | uiStringSet & | ,
|  | int & | act ) const

## ◆ getScenePars()

void uiODSceneMgr::getScenePars | ( | IOPar & |  | ) |

## ◆ getStereoType()

int uiODSceneMgr::getStereoType | ( |  | ) | const

## ◆ getTree()

uiTreeView * uiODSceneMgr::getTree | ( | const SceneID & |  | ) |

## ◆ getTreeItemMgr() [1/2]

uiODTreeTop * uiODSceneMgr::getTreeItemMgr | ( | const SceneID & |  | ) | const

## ◆ getTreeItemMgr() [2/2]

uiODTreeTop * uiODSceneMgr::getTreeItemMgr | ( | const uiTreeView * |  | ) | const

## ◆ gtLoadedEMIDs() [1/2]

void uiODSceneMgr::gtLoadedEMIDs | ( | const Scene * | ,
|  | TypeSet< EM::ObjectID > & | ,
|  | const char * | emtypestr ) const
| protected

## ◆ gtLoadedEMIDs() [2/2]

void uiODSceneMgr::gtLoadedEMIDs | ( | const uiTreeItem * | ,
|  | TypeSet< EM::ObjectID > & | ,
|  | const char * | emtypestr ) const
| protected

## ◆ gtLoadedPickSetIDs() [1/2]

void uiODSceneMgr::gtLoadedPickSetIDs | ( | const Scene & | ,
|  | TypeSet< MultiID > & | ,
|  | bool | poly ) const
| protected

## ◆ gtLoadedPickSetIDs() [2/2]

void uiODSceneMgr::gtLoadedPickSetIDs | ( | const uiTreeItem & | ,
|  | TypeSet< MultiID > & | ,
|  | bool | poly ) const
| protected

## ◆ hWheelMoved()

void uiODSceneMgr::hWheelMoved | ( | CallBacker * |  | ) |

## ◆ initMenuMgrDepObjs()

void uiODSceneMgr::initMenuMgrDepObjs | ( |  | ) |
| protected

## ◆ initTree()

void uiODSceneMgr::initTree | ( | Scene & | ,
|  | int | )
| protected

## ◆ inViewMode()

bool uiODSceneMgr::inViewMode | ( |  | ) | const

## ◆ layoutScenes()

void uiODSceneMgr::layoutScenes | ( |  | ) |

## ◆ mdiAreaChanged()

void uiODSceneMgr::mdiAreaChanged | ( | CallBacker * |  | ) |
| protected

## ◆ mkNewScene()

Scene & uiODSceneMgr::mkNewScene | ( |  | ) |
| protected

## ◆ mkSnapshot()

void uiODSceneMgr::mkSnapshot | ( | CallBacker * |  | ) |

## ◆ newSceneUpdated()

void uiODSceneMgr::newSceneUpdated | ( | CallBacker * |  | ) |
| protected

## ◆ nrScenes()

int uiODSceneMgr::nrScenes | ( |  | ) |
| inline

## ◆ pageUpDownPressed()

void uiODSceneMgr::pageUpDownPressed | ( | CallBacker * |  | ) |

## ◆ rebuildTrees()

void uiODSceneMgr::rebuildTrees | ( |  | ) |

## ◆ remove2DViewer()

void uiODSceneMgr::remove2DViewer | ( | const VisID & |  | ) |

## ◆ removeScene()

void uiODSceneMgr::removeScene | ( | Scene & | scene | ) |
| protected

## ◆ removeSceneCB()

void uiODSceneMgr::removeSceneCB | ( | CallBacker * |  | ) |
| protected

## ◆ removeTreeItem()

void uiODSceneMgr::removeTreeItem | ( | const VisID & |  | ) |

## ◆ resetHomePos()

void uiODSceneMgr::resetHomePos | ( | CallBacker * |  | ) |

## ◆ resetStatusBar()

void uiODSceneMgr::resetStatusBar | ( | const VisID & | = VisID::udf() | ) |
| protected

## ◆ saveHomePos()

void uiODSceneMgr::saveHomePos | ( | CallBacker * |  | ) |

## ◆ sceneChanged()

void uiODSceneMgr::sceneChanged | ( | SceneID |  | ) |
| protected

## ◆ sElements()

static uiString uiODSceneMgr::sElements | ( |  | ) |
| inline static

## ◆ setActiveScene() [1/2]

void uiODSceneMgr::setActiveScene | ( | const SceneID & |  | ) |

## ◆ setActiveScene() [2/2]

void uiODSceneMgr::setActiveScene | ( | int | idx | ) |

## ◆ setHeadOnLightIntensity()

void uiODSceneMgr::setHeadOnLightIntensity | ( | int | ,
|  | float | )

## ◆ setItemInfo()

void uiODSceneMgr::setItemInfo | ( | const VisID & |  | ) |

## ◆ setSceneName()

void uiODSceneMgr::setSceneName | ( | const SceneID & | ,
|  | const uiString & | )

## ◆ setSceneProperties()

void uiODSceneMgr::setSceneProperties | ( |  | ) |

## ◆ setStereoType()

void uiODSceneMgr::setStereoType | ( | int |  | ) |

## ◆ setToViewMode()

void uiODSceneMgr::setToViewMode | ( | bool | yn = true | ) |

## ◆ setToWorkMode()

void uiODSceneMgr::setToWorkMode | ( | uiVisPartServer::WorkMode | wm | ) |

## ◆ setViewSelectMode() [1/2]

void uiODSceneMgr::setViewSelectMode | ( | const SceneID & | ,
|  | ui3DViewer::PlaneType | )

## ◆ setViewSelectMode() [2/2]

void uiODSceneMgr::setViewSelectMode | ( | int |  | ) |

## ◆ setZoomValue()

void uiODSceneMgr::setZoomValue | ( | float |  | ) |

## ◆ showIfMinimized()

void uiODSceneMgr::showIfMinimized | ( | CallBacker * |  | ) |
| protected

## ◆ showRotAxis()

void uiODSceneMgr::showRotAxis | ( | CallBacker * |  | ) |

## ◆ showTree()

void uiODSceneMgr::showTree | ( | bool | yn | ) |

## ◆ soloMode()

void uiODSceneMgr::soloMode | ( | CallBacker * |  | ) |

## ◆ switchCameraType()

void uiODSceneMgr::switchCameraType | ( | CallBacker * |  | ) |

## ◆ tile()

void uiODSceneMgr::tile | ( |  | ) |

## ◆ tileHorizontal()

void uiODSceneMgr::tileHorizontal | ( |  | ) |

## ◆ tileTimerCB()

void uiODSceneMgr::tileTimerCB | ( | CallBacker * |  | ) |
| protected

## ◆ tileVertical()

void uiODSceneMgr::tileVertical | ( |  | ) |

## ◆ toHomePos()

void uiODSceneMgr::toHomePos | ( | CallBacker * |  | ) |

## ◆ translateText()

void uiODSceneMgr::translateText | ( |  | ) |

## ◆ treeItemFactorySet()

uiTreeFactorySet * uiODSceneMgr::treeItemFactorySet | ( |  | ) |
| inline

## ◆ treeShown()

bool uiODSceneMgr::treeShown | ( |  | ) | const

## ◆ updateItemToolbar()

void uiODSceneMgr::updateItemToolbar | ( | const VisID & |  | ) |

## ◆ updateSelectedTreeItem()

void uiODSceneMgr::updateSelectedTreeItem | ( |  | ) |

## ◆ updateStatusBar()

void uiODSceneMgr::updateStatusBar | ( |  | ) |

## ◆ updateTrees()

void uiODSceneMgr::updateTrees | ( |  | ) |

## ◆ useScenePars()

void uiODSceneMgr::useScenePars | ( | const IOPar & |  | ) |

## ◆ viewAll()

void uiODSceneMgr::viewAll | ( | CallBacker * |  | ) |

## ◆ viewCrl()

void uiODSceneMgr::viewCrl | ( | CallBacker * |  | ) |

## ◆ viewInl()

void uiODSceneMgr::viewInl | ( | CallBacker * |  | ) |

## ◆ viewMode()

void uiODSceneMgr::viewMode | ( | CallBacker * | cb = 0 | ) |

## ◆ viewModeChg()

void uiODSceneMgr::viewModeChg | ( | CallBacker * | cb = 0 | ) |

## ◆ viewX()

void uiODSceneMgr::viewX | ( | CallBacker * |  | ) |

## ◆ viewY()

void uiODSceneMgr::viewY | ( | CallBacker * |  | ) |

## ◆ viewZ()

void uiODSceneMgr::viewZ | ( | CallBacker * |  | ) |

## ◆ visServ()

uiVisPartServer & uiODSceneMgr::visServ | ( |  | ) |
| inline protected

## ◆ vWheelMoved()

void uiODSceneMgr::vWheelMoved | ( | CallBacker * |  | ) |

## ◆ zoomChanged()

void uiODSceneMgr::zoomChanged | ( | CallBacker * |  | ) |

## Friends And Related Symbol Documentation

## ◆ uiODMain

friend class uiODMain
| friend

## Member Data Documentation

## ◆ activeSceneChanged

Notifier<uiODSceneMgr> uiODSceneMgr::activeSceneChanged

## ◆ appl_

uiODMain& uiODSceneMgr::appl_
| protected

## ◆ mdiarea_

uiMdiArea* uiODSceneMgr::mdiarea_
| protected

## ◆ sceneClosed

CNotifier<uiODSceneMgr,SceneID> uiODSceneMgr::sceneClosed

## ◆ scenes_

ObjectSet<Scene> uiODSceneMgr::scenes_
| protected

## ◆ scenesHidden

Notifier<uiODSceneMgr> uiODSceneMgr::scenesHidden

## ◆ scenesShown

Notifier<uiODSceneMgr> uiODSceneMgr::scenesShown

## ◆ tifs_

uiTreeFactorySet* uiODSceneMgr::tifs_
| protected

## ◆ tiletimer_

Timer* uiODSceneMgr::tiletimer_
| protected

## ◆ treeAdded

CNotifier<uiODSceneMgr,SceneID> uiODSceneMgr::treeAdded

## ◆ treeToBeAdded

CNotifier<uiODSceneMgr,SceneID> uiODSceneMgr::treeToBeAdded

## ◆ viewModeChanged

Notifier<uiODSceneMgr> uiODSceneMgr::viewModeChanged

## ◆ vwridx_

int uiODSceneMgr::vwridx_
| protected

## ◆ wingrabber_

uiWindowGrabber* uiODSceneMgr::wingrabber_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025